Exiv2::Slice< const container > Struct Template Reference

Specialization of slices for constant containers. More...

`#include <slice.hpp>`

Inheritance diagram for Exiv2::Slice< const container >:
[legend]

## Public Types

typedef container::iterator | iterator
typedef container::const_iterator | const_iterator
typedef Internal::remove_cv< typename container::value_type >::type | value_type
Public Types inherited from Exiv2::Internal::ConstSliceBase< Internal::ContainerStorage, const container >
typedef Internal::ContainerStorage< const container >::iterator | iterator
typedef Internal::ContainerStorage< const container >::const_iterator | const_iterator
typedef Internal::ContainerStorage< const container >::value_type | value_type

## Public Member Functions

| Slice (const container &cont, size_t begin, size_t end)
Slice | subSlice (size_t begin, size_t end) const
Public Member Functions inherited from Exiv2::Internal::ConstSliceBase< Internal::ContainerStorage, const container >
| ConstSliceBase (const container &data, size_t begin, size_t end)
const value_type & | at (size_t index) const
const_iterator | cbegin () const throw ()
const_iterator | cend () const throw ()
slice_type | subSlice (size_t begin, size_t end) const
Public Member Functions inherited from Exiv2::Internal::SliceBase
| SliceBase (size_t begin, size_t end)
size_t | size () const throw ()

## Additional Inherited Members

Protected Member Functions inherited from Exiv2::Internal::SliceBase
void | rangeCheck (size_t index) const
Protected Attributes inherited from Exiv2::Internal::ConstSliceBase< Internal::ContainerStorage, const container >
Internal::ContainerStorage< const container > | storage_
Protected Attributes inherited from Exiv2::Internal::SliceBase
const size_t | begin_
const size_t | end_

## Detailed Description

### template<typename container>
struct Exiv2::Slice< const container >

Specialization of slices for constant containers.

The documentation for this struct was generated from the following file:

- slice.hpp